apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: nodeapp-ingress
spec:
  tls:
  - hosts:
    - nodeapp.example.com
    secretName: nodeapp-secret
  rules:
  - host: nodeapp.example.com
    http:
      paths:
      - path: /nodeapp
        backend:
          serviceName: nodeapp-svc
          servicePort: 3000